Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Image

    java.lang.Object
      com.amazonaws.services.ec2.model.Image

    public class Image

extends Object

Represents an Amazon Machine Image (AMI) that can be run on an Amazon EC2 instance.

Constructor Summary
`Image()`

Method Summary
`String` | `getArchitecture()` The architecture of the image.
`List<BlockDeviceMapping>` | `getBlockDeviceMappings()` Specifies how block devices are exposed to the instance.
`String` | `getDescription()` The description of the AMI that was provided during image creation.
`String` | `getImageId()` The unique ID of the AMI.
`String` | `getImageLocation()` The location of the AMI.
`String` | `getImageOwnerAlias()` The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
`String` | `getImageType()` The type of image (machine, kernel, or ramdisk).
`String` | `getKernelId()` The kernel associated with the image, if any.
`String` | `getName()` The name of the AMI that was provided during image creation.
`String` | `getOwnerId()` AWS Access Key ID of the image owner.
`String` | `getPlatform()` The operating platform of the AMI.
`List<ProductCode>` | `getProductCodes()` Product codes of the AMI.
`Boolean` | `getPublic()` True if this image has public launch permissions.
`String` | `getRamdiskId()` The RAM disk associated with the image, if any.
`String` | `getRootDeviceName()` The root device name (e.g., /dev/sda1).
`String` | `getRootDeviceType()` The root device type used by the AMI.
`String` | `getState()` Current state of the AMI.
`StateReason` | `getStateReason()` The reason for the state change.
`String` | `getVirtualizationType()` Returns the value of the VirtualizationType property for this object.
`Boolean` | `isPublic()` True if this image has public launch permissions.
`void` | `setArchitecture(String architecture)` The architecture of the image.
`void` | `setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`void` | `setDescription(String description)` The description of the AMI that was provided during image creation.
`void` | `setImageId(String imageId)` The unique ID of the AMI.
`void` | `setImageLocation(String imageLocation)` The location of the AMI.
`void` | `setImageOwnerAlias(String imageOwnerAlias)` The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
`void` | `setImageType(String imageType)` The type of image (machine, kernel, or ramdisk).
`void` | `setKernelId(String kernelId)` The kernel associated with the image, if any.
`void` | `setName(String name)` The name of the AMI that was provided during image creation.
`void` | `setOwnerId(String ownerId)` AWS Access Key ID of the image owner.
`void` | `setPlatform(String platform)` The operating platform of the AMI.
`void` | `setProductCodes(Collection<ProductCode> productCodes)` Product codes of the AMI.
`void` | `setPublic(Boolean publicValue)` True if this image has public launch permissions.
`void` | `setRamdiskId(String ramdiskId)` The RAM disk associated with the image, if any.
`void` | `setRootDeviceName(String rootDeviceName)` The root device name (e.g., /dev/sda1).
`void` | `setRootDeviceType(String rootDeviceType)` The root device type used by the AMI.
`void` | `setState(String state)` Current state of the AMI.
`void` | `setStateReason(StateReason stateReason)` The reason for the state change.
`void` | `setVirtualizationType(String virtualizationType)` Sets the value of the VirtualizationType property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Image` | `withArchitecture(String architecture)` The architecture of the image.
`Image` | `withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`Image` | `withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)` Specifies how block devices are exposed to the instance.
`Image` | `withDescription(String description)` The description of the AMI that was provided during image creation.
`Image` | `withImageId(String imageId)` The unique ID of the AMI.
`Image` | `withImageLocation(String imageLocation)` The location of the AMI.
`Image` | `withImageOwnerAlias(String imageOwnerAlias)` The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
`Image` | `withImageType(String imageType)` The type of image (machine, kernel, or ramdisk).
`Image` | `withKernelId(String kernelId)` The kernel associated with the image, if any.
`Image` | `withName(String name)` The name of the AMI that was provided during image creation.
`Image` | `withOwnerId(String ownerId)` AWS Access Key ID of the image owner.
`Image` | `withPlatform(String platform)` The operating platform of the AMI.
`Image` | `withProductCodes(Collection<ProductCode> productCodes)` Product codes of the AMI.
`Image` | `withProductCodes(ProductCode... productCodes)` Product codes of the AMI.
`Image` | `withPublic(Boolean publicValue)` True if this image has public launch permissions.
`Image` | `withRamdiskId(String ramdiskId)` The RAM disk associated with the image, if any.
`Image` | `withRootDeviceName(String rootDeviceName)` The root device name (e.g., /dev/sda1).
`Image` | `withRootDeviceType(String rootDeviceType)` The root device type used by the AMI.
`Image` | `withState(String state)` Current state of the AMI.
`Image` | `withStateReason(StateReason stateReason)` The reason for the state change.
`Image` | `withVirtualizationType(String virtualizationType)` Sets the value of the VirtualizationType property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Image

    public Image()

Method Detail

### getImageId

    public String getImageId()

  The unique ID of the AMI.

  Returns:
    The unique ID of the AMI.

### setImageId

    public void setImageId(String imageId)

  The unique ID of the AMI.

  Parameters:
    `imageId` - The unique ID of the AMI.

### withImageId

    public Image withImageId(String imageId)

  The unique ID of the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageId` - The unique ID of the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getImageLocation

    public String getImageLocation()

  The location of the AMI.

  Returns:
    The location of the AMI.

### setImageLocation

    public void setImageLocation(String imageLocation)

  The location of the AMI.

  Parameters:
    `imageLocation` - The location of the AMI.

### withImageLocation

    public Image withImageLocation(String imageLocation)

  The location of the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageLocation` - The location of the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Current state of the AMI. If the operation returns available, the image is successfully registered and available for launching. If the operation returns deregistered, the image is deregistered and no longer available for launching.

  Constraints:
  Allowed Values: available, deregistered

  Returns:
    Current state of the AMI. If the operation returns available, the image is successfully registered and available for launching. If the operation returns deregistered, the image is deregistered and no longer available for launching.
  See Also:
    `ImageState`

### setState

    public void setState(String state)

  Current state of the AMI. If the operation returns available, the image is successfully registered and available for launching. If the operation returns deregistered, the image is deregistered and no longer available for launching.

  Constraints:
  Allowed Values: available, deregistered

  Parameters:
    `state` - Current state of the AMI. If the operation returns available, the image is successfully registered and available for launching. If the operation returns deregistered, the image is deregistered and no longer available for launching.
  See Also:
    `ImageState`

### withState

    public Image withState(String state)

  Current state of the AMI. If the operation returns available, the image is successfully registered and available for launching. If the operation returns deregistered, the image is deregistered and no longer available for launching.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: available, deregistered

  Parameters:
    `state` - Current state of the AMI. If the operation returns available, the image is successfully registered and available for launching. If the operation returns deregistered, the image is deregistered and no longer available for launching.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `ImageState`

### getOwnerId

    public String getOwnerId()

  AWS Access Key ID of the image owner.

  Returns:
    AWS Access Key ID of the image owner.

### setOwnerId

    public void setOwnerId(String ownerId)

  AWS Access Key ID of the image owner.

  Parameters:
    `ownerId` - AWS Access Key ID of the image owner.

### withOwnerId

    public Image withOwnerId(String ownerId)

  AWS Access Key ID of the image owner.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerId` - AWS Access Key ID of the image owner.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isPublic

    public Boolean isPublic()

  True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.

  Returns:
    True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.

### setPublic

    public void setPublic(Boolean publicValue)

  True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.

  Parameters:
    `publicValue` - True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.

### withPublic

    public Image withPublic(Boolean publicValue)

  True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `publicValue` - True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPublic

    public Boolean getPublic()

  True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.

  Returns:
    True if this image has public launch permissions. False if it only has implicit and explicit launch permissions.

### getProductCodes

    public List<ProductCode> getProductCodes()

  Product codes of the AMI.

  Returns:
    Product codes of the AMI.

### setProductCodes

    public void setProductCodes(Collection<ProductCode> productCodes)

  Product codes of the AMI.

  Parameters:
    `productCodes` - Product codes of the AMI.

### withProductCodes

    public Image withProductCodes(ProductCode... productCodes)

  Product codes of the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCodes` - Product codes of the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withProductCodes

    public Image withProductCodes(Collection<ProductCode> productCodes)

  Product codes of the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productCodes` - Product codes of the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getArchitecture

    public String getArchitecture()

  The architecture of the image.

  Returns:
    The architecture of the image.

### setArchitecture

    public void setArchitecture(String architecture)

  The architecture of the image.

  Parameters:
    `architecture` - The architecture of the image.

### withArchitecture

    public Image withArchitecture(String architecture)

  The architecture of the image.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `architecture` - The architecture of the image.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getImageType

    public String getImageType()

  The type of image (machine, kernel, or ramdisk).

  Returns:
    The type of image (machine, kernel, or ramdisk).

### setImageType

    public void setImageType(String imageType)

  The type of image (machine, kernel, or ramdisk).

  Parameters:
    `imageType` - The type of image (machine, kernel, or ramdisk).

### withImageType

    public Image withImageType(String imageType)

  The type of image (machine, kernel, or ramdisk).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageType` - The type of image (machine, kernel, or ramdisk).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getKernelId

    public String getKernelId()

  The kernel associated with the image, if any. Only applicable for machine images.

  Returns:
    The kernel associated with the image, if any. Only applicable for machine images.

### setKernelId

    public void setKernelId(String kernelId)

  The kernel associated with the image, if any. Only applicable for machine images.

  Parameters:
    `kernelId` - The kernel associated with the image, if any. Only applicable for machine images.

### withKernelId

    public Image withKernelId(String kernelId)

  The kernel associated with the image, if any. Only applicable for machine images.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `kernelId` - The kernel associated with the image, if any. Only applicable for machine images.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRamdiskId

    public String getRamdiskId()

  The RAM disk associated with the image, if any. Only applicable for machine images.

  Returns:
    The RAM disk associated with the image, if any. Only applicable for machine images.

### setRamdiskId

    public void setRamdiskId(String ramdiskId)

  The RAM disk associated with the image, if any. Only applicable for machine images.

  Parameters:
    `ramdiskId` - The RAM disk associated with the image, if any. Only applicable for machine images.

### withRamdiskId

    public Image withRamdiskId(String ramdiskId)

  The RAM disk associated with the image, if any. Only applicable for machine images.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ramdiskId` - The RAM disk associated with the image, if any. Only applicable for machine images.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPlatform

    public String getPlatform()

  The operating platform of the AMI.

  Returns:
    The operating platform of the AMI.

### setPlatform

    public void setPlatform(String platform)

  The operating platform of the AMI.

  Parameters:
    `platform` - The operating platform of the AMI.

### withPlatform

    public Image withPlatform(String platform)

  The operating platform of the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `platform` - The operating platform of the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStateReason

    public StateReason getStateReason()

  The reason for the state change.

  Returns:
    The reason for the state change.

### setStateReason

    public void setStateReason(StateReason stateReason)

  The reason for the state change.

  Parameters:
    `stateReason` - The reason for the state change.

### withStateReason

    public Image withStateReason(StateReason stateReason)

  The reason for the state change.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `stateReason` - The reason for the state change.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getImageOwnerAlias

    public String getImageOwnerAlias()

  The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

  Returns:
    The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

### setImageOwnerAlias

    public void setImageOwnerAlias(String imageOwnerAlias)

  The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

  Parameters:
    `imageOwnerAlias` - The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

### withImageOwnerAlias

    public Image withImageOwnerAlias(String imageOwnerAlias)

  The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageOwnerAlias` - The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getName

    public String getName()

  The name of the AMI that was provided during image creation.

  Returns:
    The name of the AMI that was provided during image creation.

### setName

    public void setName(String name)

  The name of the AMI that was provided during image creation.

  Parameters:
    `name` - The name of the AMI that was provided during image creation.

### withName

    public Image withName(String name)

  The name of the AMI that was provided during image creation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - The name of the AMI that was provided during image creation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  The description of the AMI that was provided during image creation.

  Returns:
    The description of the AMI that was provided during image creation.

### setDescription

    public void setDescription(String description)

  The description of the AMI that was provided during image creation.

  Parameters:
    `description` - The description of the AMI that was provided during image creation.

### withDescription

    public Image withDescription(String description)

  The description of the AMI that was provided during image creation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - The description of the AMI that was provided during image creation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRootDeviceType

    public String getRootDeviceType()

  The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

  Returns:
    The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

### setRootDeviceType

    public void setRootDeviceType(String rootDeviceType)

  The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

  Parameters:
    `rootDeviceType` - The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

### withRootDeviceType

    public Image withRootDeviceType(String rootDeviceType)

  The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `rootDeviceType` - The root device type used by the AMI. The AMI can use an Amazon EBS or instance store root device.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRootDeviceName

    public String getRootDeviceName()

  The root device name (e.g., /dev/sda1).

  Returns:
    The root device name (e.g., /dev/sda1).

### setRootDeviceName

    public void setRootDeviceName(String rootDeviceName)

  The root device name (e.g., /dev/sda1).

  Parameters:
    `rootDeviceName` - The root device name (e.g., /dev/sda1).

### withRootDeviceName

    public Image withRootDeviceName(String rootDeviceName)

  The root device name (e.g., /dev/sda1).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `rootDeviceName` - The root device name (e.g., /dev/sda1).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBlockDeviceMappings

    public List<BlockDeviceMapping> getBlockDeviceMappings()

  Specifies how block devices are exposed to the instance.

  Returns:
    Specifies how block devices are exposed to the instance.

### setBlockDeviceMappings

    public void setBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance.

### withBlockDeviceMappings

    public Image withBlockDeviceMappings(BlockDeviceMapping... blockDeviceMappings)

  Specifies how block devices are exposed to the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBlockDeviceMappings

    public Image withBlockDeviceMappings(Collection<BlockDeviceMapping> blockDeviceMappings)

  Specifies how block devices are exposed to the instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `blockDeviceMappings` - Specifies how block devices are exposed to the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVirtualizationType

    public String getVirtualizationType()

  Returns the value of the VirtualizationType property for this object.

  Constraints:
  Allowed Values: hvm, paravirtual

  Returns:
    The value of the VirtualizationType property for this object.
  See Also:
    `VirtualizationType`

### setVirtualizationType

    public void setVirtualizationType(String virtualizationType)

  Sets the value of the VirtualizationType property for this object.

  Constraints:
  Allowed Values: hvm, paravirtual

  Parameters:
    `virtualizationType` - The new value for the VirtualizationType property for this object.
  See Also:
    `VirtualizationType`

### withVirtualizationType

    public Image withVirtualizationType(String virtualizationType)

  Sets the value of the VirtualizationType property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: hvm, paravirtual

  Parameters:
    `virtualizationType` - The new value for the VirtualizationType property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `VirtualizationType`

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.